Subject: Re: 24.3.50; Subprocess invocation hangs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 17 Jul 2013 10:45:55 +0900

>>>>> On Tue, 16 Jul 2013 00:07:30 -0700, Paul Eggert <[email-masked]> said:

> Thanks for reporting that.  I installed what I hope is a fix.  Could
> you please try trunk bzr 113430 or later, on one of those platforms?

Yes.  Subprocess invocation no longer hangs on Cent OS 5 or Mac OS X
10.6.  Closing the bug.

BTW, the transition from explicit file descriptor close before exec by
close-process-descs to the use of close-on-exec seems to work as a
workaround for a kernel bug on OS X 10.8, which causes kernel panic on
exit (Bug IDs 13682, 13726, 13799, 13901, 14119, and 14478).

				     YAMAMOTO Mitsuharu
				[email-masked]